> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新工作流

> 更新工作流的名称、触发器、步骤或启用状态。

## 身份验证

需要具有 `tools` 权限范围的 Bearer 令牌。参见[身份验证](/api-reference/authentication)。

## 路径参数

<ParamField path="id" type="string" required>
  该工作流的 UUID。
</ParamField>

## 请求

所有字段均为可选 — 只需包含需要修改的部分。

<ParamField body="name" type="string">
  工作流的显示名称。
</ParamField>

<ParamField body="triggerType" type="string">
  工作流的触发方式（例如 `manual`、`schedule`、`event`）。
</ParamField>

<ParamField body="triggerConfig" type="object">
  触发器配置（调度表达式、事件模式等）。
</ParamField>

<ParamField body="steps" type="array">
  工作流步骤的有序列表。
</ParamField>

<ParamField body="enabled" type="boolean">
  启用或禁用该工作流。
</ParamField>

## 响应

<ResponseField name="workflow" type="object">
  更新后的工作流对象。
</ResponseField>

## 示例

```bash curl theme={null}
curl -X PATCH https://www.hitheo.ai/api/v1/workflows/wf_abc123 \
  -H "Authorization: Bearer $THEO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "enabled": false }'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.